2019-03-26 21:16 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002369NetSurfJavascriptpublic2016-02-16 14:44
ReporterNick Roberts 
Assigned ToDaniel Silverstone 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformIyonixOSRISC OSOS Version5.23
Product Version3.4 
Target VersionFixed in Version3.4 
Summary0002369: Immediate crash upon closing a window after google search.
DescriptionNetsurf reported that it has suffered a fatal error and must exit.
Steps To ReproduceSearched Google for "alien power module"

Right-clicked on first report (fallout.wikia.com/wiki/Alien_power_module) to open it in a new window. It took a long time to render, so I closed the window before anything appeared in the window - crash was immediate.
TagsNo tags attached.
Fixed in CI build #3031
Reported in CI build #3005
URL of problem pagefallout.wikia.com/wiki/Alian_power_module
Attached Files
  • zip file icon log.zip (13,610 bytes) 2015-10-22 17:03

-Relationships
has duplicate 0002372closedDaniel Silverstone Repeatable crash at blog page 
has duplicate 0002370closedDaniel Silverstone enter data into form press enter then click on button causes crash 
has duplicate 0002360closedDaniel Silverstone Abort 
has duplicate 0002353closedDaniel Silverstone Crash on stopping 
+Relationships

-Notes
Vincent Sanders

~0000997

Vincent Sanders (administrator)

(27.230000) render/html_script.c:273 convert_script_sync_cb: script 5 done 'http://community.wikia.com/wikia.php?controller=Optimizely&method=getCode'
(27.230000) render/html_script.c:275 convert_script_sync_cb: 0 fetches active

"javascript/duktape/dukky.c", line 361: js_exec: Assertion failed: ctx
Vincent Sanders

~0001273

Vincent Sanders (administrator)

Confirmed fixed in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2015-10-22 17:03 Nick Roberts New Issue
2015-10-22 17:03 Nick Roberts File Added: log.zip
2015-10-28 21:11 Vincent Sanders Status new => acknowledged
2015-10-28 21:11 Vincent Sanders Category ABEND => Javascript
2015-10-28 21:11 Vincent Sanders Product Version => 3.4
2015-10-28 21:11 Vincent Sanders Steps to Reproduce Updated View Revisions
2015-10-31 14:28 Vincent Sanders Note Added: 0000997
2015-10-31 14:30 Vincent Sanders Relationship added has duplicate 0002372
2015-10-31 14:34 Vincent Sanders Relationship added has duplicate 0002370
2015-10-31 14:49 Vincent Sanders Relationship added has duplicate 0002360
2015-10-31 15:35 Vincent Sanders Relationship added has duplicate 0002353
2015-10-31 19:15 Vincent Sanders Fixed in CI build # => 3031
2015-10-31 19:15 Vincent Sanders Assigned To => Daniel Silverstone
2015-10-31 19:15 Vincent Sanders Status acknowledged => resolved
2015-10-31 19:15 Vincent Sanders Resolution open => fixed
2015-10-31 19:15 Vincent Sanders Fixed in Version => 3.4
2016-02-16 14:44 Vincent Sanders Note Added: 0001273
2016-02-16 14:44 Vincent Sanders Status resolved => closed
+Issue History